AbstractImageSessionContext.RestrictedFallbackResolver
Date: 2016-04-28

org.apache.xmlgraphics.image.loader.impl

## Class AbstractImageSessionContext.RestrictedFallbackResolver

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.RestrictedFallbackResolver

- All Implemented Interfaces:
    AbstractImageSessionContext.FallbackResolver
  Enclosing class:
    AbstractImageSessionContext

      public static final class AbstractImageSessionContext.RestrictedFallbackResolver
      extends java.lang.Object
      implements AbstractImageSessionContext.FallbackResolver

  This fallback resolver is to be used in environments where controlling file access is of critical importance. It disallows any contingency mechanisms by which a `Source` object would be created.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractImageSessionContext.RestrictedFallbackResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.transform.Source` | `createSource(javax.xml.transform.Source source, java.lang.String uri)` The fallback mechanism used to create the source which takes in both the `Source` that the the regular mechanisms attempted to create and the URI that the user provided.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractImageSessionContext.RestrictedFallbackResolver

          public AbstractImageSessionContext.RestrictedFallbackResolver()

  - ### Method Detail

    - #### createSource

          public javax.xml.transform.Source createSource(javax.xml.transform.Source source,
                                                java.lang.String uri)

      The fallback mechanism used to create the source which takes in both the `Source` that the the regular mechanisms attempted to create and the URI that the user provided.
      Specified by:
        `createSource` in interface `AbstractImageSessionContext.FallbackResolver`
      Parameters:
        `source` - the source
        `uri` - the URI provided by the user
      Returns:
        the source that the contingency mechanism has been acquired